package com.sooka.system.gas.zenner_meter_reading_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 真兰收费系统-抄表信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiZennerMeterReadingInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** GUID */
    @Excel(name = "GUID" )
    private String GUID;

    /** 用户GUID */
    @Excel(name = "用户GUID" )
    private String VC_WCB_USERGUID;

    /** 气表GUID */
    @Excel(name = "气表GUID" )
    private String VC_WCB_METERGUID;

    /** 操作人员 */
    @Excel(name = "操作人员" )
    private String VC_WCB_PERSON;

    /** 操作时间 */
    @Excel(name = "操作时间" )
    private String D_WCB_OPDATE;

    /** 累计用气量 */
    @Excel(name = "累计用气量" )
    private String N_WCB_USED;

    /** 累计用气量 */
    @Excel(name = "累计用气量" )
    private String N_WCB_HEJI;

    /** 计算气量（本次使用气量对比表免费气量） */
    @Excel(name = "计算气量（本次使用气量对比表免费气量）" )
    private String N_WCB_HEJIEX;

    /** 剩余气量|金额 */
    @Excel(name = "剩余气量|金额" )
    private String N_WCB_LEAVE;

    /** 总购气量|金额 */
    @Excel(name = "总购气量|金额" )
    private String N_WCB_BUY;

    /** 总购气量|金额 */
    @Excel(name = "总购气量|金额" )
    private String N_WCB_TOTALBUY;

    /** 单价 */
    @Excel(name = "单价" )
    private String N_WCB_PRICE;

    /** 无线充值次数 */
    @Excel(name = "无线充值次数" )
    private String I_WCB_BUYCOUNT;

    /** 无线充值次数 */
    @Excel(name = "无线充值次数" )
    private String I_WCB_WLBUYCOUNT;

    /** 是否远程关阀 */
    @Excel(name = "是否远程关阀" )
    private String VC_WCB_REMOTECLOSEVALVE;

    /** 是否泄漏 */
    @Excel(name = "是否泄漏" )
    private String VC_WCB_REVEAL;

    /** 通讯故障 */
    @Excel(name = "通讯故障" )
    private String VC_WCB_COMMUNICATEBAD;

    /** 磁干扰 */
    @Excel(name = "磁干扰" )
    private String VC_WCB_MAGNETICDISTURBANCE;

    /** 阀门状态 */
    @Excel(name = "阀门状态" )
    private String VC_WCB_VALVESTATE;

    /** 电池电量高低 */
    @Excel(name = "电池电量高低" )
    private String VC_WCB_BATTERY;

    /** 是否过流 */
    @Excel(name = "是否过流" )
    private String VC_WCB_FLOW;

    /** 电池百分比 */
    @Excel(name = "电池百分比" )
    private String VC_WCB_BATTERYPER;

    /** 电池电压（外电干电池） */
    @Excel(name = "电池电压（外电干电池）" )
    private String VC_WCB_BATTERYMILL;

    /** 备用电池电压（内电锂电池） */
    @Excel(name = "备用电池电压（内电锂电池）" )
    private String VC_WCB_SPAREBATTERYMILL;

    /** 地址 */
    @Excel(name = "地址" )
    private String VC_WCB_ADDRESS;

    /** 条形码 */
    @Excel(name = "条形码" )
    private String VC_WCB_CODE;

    /** 阀门故障 */
    @Excel(name = "阀门故障" )
    private String VC_WCB_VALVEERR;

    /** 欠费关阀（0-正常 1-欠费关阀） */
    @Excel(name = "欠费关阀（0-正常 1-欠费关阀）" )
    private String VC_WCB_ARREARSCLOSEVALUE;

    /** 内电低电 */
    @Excel(name = "内电低电" )
    private String VC_WCB_INNERBATERR;

    /** 死表故障 */
    @Excel(name = "死表故障" )
    private String VC_WCB_DIE;

    /** 倾斜故障 */
    @Excel(name = "倾斜故障" )
    private String VC_WCB_TILT;

    /** 月冻结气量 */
    @Excel(name = "月冻结气量" )
    private String VC_WCB_MONTHVALUE;

    /** 执行日期 */
    @Excel(name = "执行日期" )
    private String EXECE_DATE;

    /** 执行状态 */
    @Excel(name = "执行状态" )
    private String EXECE_STATE;

    /** 用气日期YYYYMMDD */
    @Excel(name = "用气日期YYYYMMDD" )
    private String VC_WCB_USEDATE;

    /** 用户名称 */
    @Excel(name = "用户名称" )
    private String VC_WCB_USERNAME;

    /** 报警气量 */
    @Excel(name = "报警气量" )
    private String VC_WCB_ALARMVALUE;

    /** 信号强度 */
    @Excel(name = "信号强度" )
    private String VC_WCB_SIGNALINTENSITY;

    /** 上报次数 */
    @Excel(name = "上报次数" )
    private String I_WCB_REPORTCOUNT;

    /** 第1阶梯数量 */
    @Excel(name = "第1阶梯数量" )
    private String N_WCB_JTNUM1;

    /** 第1阶梯单价 */
    @Excel(name = "第1阶梯单价" )
    private String N_WCB_JTPRICE1;

    /** 第1阶梯金额 */
    @Excel(name = "第1阶梯金额" )
    private String N_WCB_JTAMOUNT1;

    /** 第2阶梯数量 */
    @Excel(name = "第2阶梯数量" )
    private String N_WCB_JTNUM2;

    /** 第2阶梯单价 */
    @Excel(name = "第2阶梯单价" )
    private String N_WCB_JTPRICE2;

    /** 第2阶梯金额 */
    @Excel(name = "第2阶梯金额" )
    private String N_WCB_JTAMOUNT2;

    /** 第3阶梯数量 */
    @Excel(name = "第3阶梯数量" )
    private String N_WCB_JTNUM3;

    /** 第3阶梯单价 */
    @Excel(name = "第3阶梯单价" )
    private String N_WCB_JTPRICE3;

    /** 第3阶梯金额 */
    @Excel(name = "第3阶梯金额" )
    private String N_WCB_JTAMOUNT3;

    /** 第4阶梯数量 */
    @Excel(name = "第4阶梯数量" )
    private String N_WCB_JTNUM4;

    /** 第4阶梯单价 */
    @Excel(name = "第4阶梯单价" )
    private String N_WCB_JTPRICE4;

    /** 第4阶梯金额 */
    @Excel(name = "第4阶梯金额" )
    private String N_WCB_JTAMOUNT4;

    /** 第5阶梯数量 */
    @Excel(name = "第5阶梯数量" )
    private String N_WCB_JTNUM5;

    /** 第5阶梯单价 */
    @Excel(name = "第5阶梯单价" )
    private String N_WCB_JTPRICE5;

    /** 第5阶梯金额 */
    @Excel(name = "第5阶梯金额" )
    private String N_WCB_JTAMOUNT5;

    /** 第6阶梯数量 */
    @Excel(name = "第6阶梯数量" )
    private String N_WCB_JTNUM6;

    /** 第6阶梯单价 */
    @Excel(name = "第6阶梯单价" )
    private String N_WCB_JTPRICE6;

    /** 第6阶梯金额 */
    @Excel(name = "第6阶梯金额" )
    private String N_WCB_JTAMOUNT6;

    public String getGuid()
    {
        return GUID;
    }

    public String getVcwcbuserguid()
    {
        return VC_WCB_USERGUID;
    }

    public String getVcwcbmeterguid()
    {
        return VC_WCB_METERGUID;
    }

    public String getVcwcbperson()
    {
        return VC_WCB_PERSON;
    }

    public String getDwcbopdate()
    {
        if(D_WCB_OPDATE == null){
            return null;
        }else if(D_WCB_OPDATE.contains(".")){
            return D_WCB_OPDATE.split(".")[0];
        }else {
            return D_WCB_OPDATE;
        }
    }

    public String getNwcbused()
    {
        if (N_WCB_USED == null){
            return null;
        }else {
            return N_WCB_USED.startsWith(".")?(0+N_WCB_USED):N_WCB_USED;
        }
    }

    public String getNwcbheji()
    {
        if (N_WCB_HEJI == null){
            return null;
        }else {
            return N_WCB_HEJI.startsWith(".")?(0+N_WCB_HEJI):N_WCB_HEJI;
        }
    }

    public String getNwcbhejiex()
    {
        if (N_WCB_HEJIEX == null){
            return null;
        }else {
            return N_WCB_HEJIEX.startsWith(".")?(0+N_WCB_HEJIEX):N_WCB_HEJIEX;
        }
    }

    public String getNwcbleave()
    {
        if (N_WCB_LEAVE == null){
            return null;
        }else {
            return N_WCB_LEAVE.startsWith(".")?(0+N_WCB_LEAVE):N_WCB_LEAVE;
        }
    }

    public String getNwcbbuy()
    {
        if (N_WCB_BUY == null){
            return null;
        }else {
            return N_WCB_BUY.startsWith(".")?(0+N_WCB_BUY):N_WCB_BUY;
        }
    }

    public String getNwcbtotalbuy()
    {
        if (N_WCB_TOTALBUY == null){
            return null;
        }else {
            return N_WCB_TOTALBUY.startsWith(".")?(0+N_WCB_TOTALBUY):N_WCB_TOTALBUY;
        }
    }

    public String getNwcbprice()
    {
        if (N_WCB_PRICE == null){
            return null;
        }else {
            return N_WCB_PRICE.startsWith(".")?(0+N_WCB_PRICE):N_WCB_PRICE;
        }
    }

    public String getIwcbbuycount()
    {
        return I_WCB_BUYCOUNT;
    }

    public String getIwcbwlbuycount()
    {
        return I_WCB_WLBUYCOUNT;
    }

    public String getVcwcbremoteclosevalve()
    {
        return VC_WCB_REMOTECLOSEVALVE;
    }

    public String getVcwcbreveal()
    {
        return VC_WCB_REVEAL;
    }

    public String getVcwcbcommunicatebad()
    {
        return VC_WCB_COMMUNICATEBAD;
    }

    public String getVcwcbmagneticdisturbance()
    {
        return VC_WCB_MAGNETICDISTURBANCE;
    }

    public String getVcwcbvalvestate()
    {
        return VC_WCB_VALVESTATE;
    }

    public String getVcwcbbattery()
    {
        return VC_WCB_BATTERY;
    }

    public String getVcwcbflow()
    {
        return VC_WCB_FLOW;
    }

    public String getVcwcbbatteryper()
    {
        return VC_WCB_BATTERYPER;
    }

    public String getVcwcbbatterymill()
    {
        return VC_WCB_BATTERYMILL;
    }

    public String getVcwcbsparebatterymill()
    {
        return VC_WCB_SPAREBATTERYMILL;
    }

    public String getVcwcbaddress()
    {
        return VC_WCB_ADDRESS;
    }

    public String getVcwcbcode()
    {
        return VC_WCB_CODE;
    }

    public String getVcwcbvalveerr()
    {
        return VC_WCB_VALVEERR;
    }

    public String getVcwcbarrearsclosevalue()
    {
        return VC_WCB_ARREARSCLOSEVALUE;
    }

    public String getVcwcbinnerbaterr()
    {
        return VC_WCB_INNERBATERR;
    }

    public String getVcwcbdie()
    {
        return VC_WCB_DIE;
    }

    public String getVcwcbtilt()
    {
        return VC_WCB_TILT;
    }

    public String getVcwcbmonthvalue()
    {
        return VC_WCB_MONTHVALUE;
    }

    public String getExecedate()
    {
        if(EXECE_DATE == null){
            return null;
        }else if(EXECE_DATE.contains(".")){
            return EXECE_DATE.split(".")[0];
        }else {
            return EXECE_DATE;
        }
    }

    public String getExecestate()
    {
        return EXECE_STATE;
    }

    public String getVcwcbusedate()
    {
        return VC_WCB_USEDATE;
    }

    public String getVcwcbusername()
    {
        return VC_WCB_USERNAME;
    }

    public String getVcwcbalarmvalue()
    {
        return VC_WCB_ALARMVALUE;
    }

    public String getVcwcbsignalintensity()
    {
        return VC_WCB_SIGNALINTENSITY;
    }

    public String getIwcbreportcount()
    {
        return I_WCB_REPORTCOUNT;
    }

    public String getNwcbjtnum1()
    {
        if (N_WCB_JTNUM1 == null){
            return null;
        }else {
            return N_WCB_JTNUM1.startsWith(".")?(0+N_WCB_JTNUM1):N_WCB_JTNUM1;
        }
    }

    public String getNwcbjtprice1()
    {
        if (N_WCB_JTPRICE1 == null){
            return null;
        }else {
            return N_WCB_JTPRICE1.startsWith(".")?(0+N_WCB_JTPRICE1):N_WCB_JTPRICE1;
        }
    }

    public String getNwcbjtamount1()
    {
        if (N_WCB_JTAMOUNT1 == null){
            return null;
        }else {
            return N_WCB_JTAMOUNT1.startsWith(".")?(0+N_WCB_JTAMOUNT1):N_WCB_JTAMOUNT1;
        }
    }

    public String getNwcbjtnum2()
    {
        if (N_WCB_JTNUM2 == null){
            return null;
        }else {
            return N_WCB_JTNUM2.startsWith(".")?(0+N_WCB_JTNUM2):N_WCB_JTNUM2;
        }
    }

    public String getNwcbjtprice2()
    {
        if (N_WCB_JTPRICE2 == null){
            return null;
        }else {
            return N_WCB_JTPRICE2.startsWith(".")?(0+N_WCB_JTPRICE2):N_WCB_JTPRICE2;
        }
    }

    public String getNwcbjtamount2()
    {
        if (N_WCB_JTAMOUNT2 == null){
            return null;
        }else {
            return N_WCB_JTAMOUNT2.startsWith(".")?(0+N_WCB_JTAMOUNT2):N_WCB_JTAMOUNT2;
        }
    }

    public String getNwcbjtnum3()
    {
        if (N_WCB_JTNUM3 == null){
            return null;
        }else {
            return N_WCB_JTNUM3.startsWith(".")?(0+N_WCB_JTNUM3):N_WCB_JTNUM3;
        }
    }

    public String getNwcbjtprice3()
    {
        if (N_WCB_JTPRICE3 == null){
            return null;
        }else {
            return N_WCB_JTPRICE3.startsWith(".")?(0+N_WCB_JTPRICE3):N_WCB_JTPRICE3;
        }
    }

    public String getNwcbjtamount3()
    {
        if (N_WCB_JTAMOUNT3 == null){
            return null;
        }else {
            return N_WCB_JTAMOUNT3.startsWith(".")?(0+N_WCB_JTAMOUNT3):N_WCB_JTAMOUNT3;
        }
    }

    public String getNwcbjtnum4()
    {
        if (N_WCB_JTNUM4 == null){
            return null;
        }else {
            return N_WCB_JTNUM4.startsWith(".")?(0+N_WCB_JTNUM4):N_WCB_JTNUM4;
        }
    }

    public String getNwcbjtprice4()
    {
        if (N_WCB_JTPRICE4 == null){
            return null;
        }else {
            return N_WCB_JTPRICE4.startsWith(".")?(0+N_WCB_JTPRICE4):N_WCB_JTPRICE4;
        }
    }

    public String getNwcbjtamount4()
    {
        if (N_WCB_JTAMOUNT4 == null){
            return null;
        }else {
            return N_WCB_JTAMOUNT4.startsWith(".")?(0+N_WCB_JTAMOUNT4):N_WCB_JTAMOUNT4;
        }
    }

    public String getNwcbjtnum5()
    {
        if (N_WCB_JTNUM5 == null){
            return null;
        }else {
            return N_WCB_JTNUM5.startsWith(".")?(0+N_WCB_JTNUM5):N_WCB_JTNUM5;
        }
    }

    public String getNwcbjtprice5()
    {
        if (N_WCB_JTPRICE5 == null){
            return null;
        }else {
            return N_WCB_JTPRICE5.startsWith(".")?(0+N_WCB_JTPRICE5):N_WCB_JTPRICE5;
        }
    }

    public String getNwcbjtamount5()
    {
        if (N_WCB_JTAMOUNT5 == null){
            return null;
        }else {
            return N_WCB_JTAMOUNT5.startsWith(".")?(0+N_WCB_JTAMOUNT5):N_WCB_JTAMOUNT5;
        }
    }

    public String getNwcbjtnum6()
    {
        if (N_WCB_JTNUM6 == null){
            return null;
        }else {
            return N_WCB_JTNUM6.startsWith(".")?(0+N_WCB_JTNUM6):N_WCB_JTNUM6;
        }
    }

    public String getNwcbjtprice6()
    {
        if (N_WCB_JTPRICE6 == null){
            return null;
        }else {
            return N_WCB_JTPRICE6.startsWith(".")?(0+N_WCB_JTPRICE6):N_WCB_JTPRICE6;
        }
    }

    public String getNwcbjtamount6()
    {
        if (N_WCB_JTAMOUNT6 == null){
            return null;
        }else {
            return N_WCB_JTAMOUNT6.startsWith(".")?(0+N_WCB_JTAMOUNT6):N_WCB_JTAMOUNT6;
        }
    }
}
